Scala Compiler2.13.0 < Back


# Packages

-  package root

  The Scala compiler and reflection APIs.

  The Scala compiler and reflection APIs.

  Definition Classes
    root
-  package scala
  Definition Classes
    root
-  package tools
  Definition Classes
    scala
-  package nsc
  Definition Classes
    tools
-  package reporters
  Definition Classes
    nsc
- AbstractReporter
- ConsoleReporter
- CountingReporter
- DefaultReporter
- DisplayReporter
- Filtering
- FilteringReporter
- LimitFilter
- NoReporter
- PositionFilter
- PositionFiltering
- PrintReporter
- Reporter
- StoreReporter
- SummaryReporter

t

scala.tools.nsc.reporters

# FilteringReporter

###

#### trait FilteringReporter extends reflect.internal.Reporter with ForwardingReporter with Filtering

A `ForwardingReporter` that filters events before delegating.

Concrete subclasses should implement just the abstract `filter` method.

Source
  DisplayReporter.scala

Linear Supertypes
Filtering, ForwardingReporter, reflect.internal.Reporter, AnyRef, Any
Known Subclasses
CountingReporter, DefaultReporter, LimitFilter, PositionFilter, LimitingReporter
Type Hierarchy

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. FilteringReporter
2. Filtering
3. ForwardingReporter
4. Reporter
5. AnyRef
6. Any

Implicitly

1. by any2stringadd
2. by StringFormat
3. by Ensuring
4. by ArrowAssoc

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Type Members

1.  class Severity extends AnyRef
   Definition Classes
     Reporter

### Abstract Value Members

1.  abstract val delegate: reflect.internal.Reporter
   Attributes
     protected
   Definition Classes
     ForwardingReporter
2.  abstract def filter(pos: Position, msg: String, severity: Severity): Boolean
   Attributes
     protected
   Definition Classes
     Filtering

### Concrete Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##(): Int
   Definition Classes
     AnyRef → Any
3.  def +(other: String): String
   Implicit
     This member is added by an implicit conversion from FilteringReporter toany2stringadd[FilteringReporter] performed by method any2stringadd in scala.Predef.
   Definition Classes
     any2stringadd
4.  def ->[B](y: B): (FilteringReporter, B)
   Implicit
     This member is added by an implicit conversion from FilteringReporter toArrowAssoc[FilteringReporter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @inline()
5.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
6.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
7.  def clone(): AnyRef
   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
8.  def count(severity: Severity): Int
   Definition Classes
     Reporter
9.  def echo(pos: Position, msg: String): Unit
   Definition Classes
     FilteringReporter → ForwardingReporter → Reporter
10.  def echo(msg: String): Unit
    Definition Classes
      Reporter
11.  def ensuring(cond: (FilteringReporter) => Boolean, msg: => Any): FilteringReporter
    Implicit
      This member is added by an implicit conversion from FilteringReporter toEnsuring[FilteringReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
12.  def ensuring(cond: (FilteringReporter) => Boolean): FilteringReporter
    Implicit
      This member is added by an implicit conversion from FilteringReporter toEnsuring[FilteringReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
13.  def ensuring(cond: Boolean, msg: => Any): FilteringReporter
    Implicit
      This member is added by an implicit conversion from FilteringReporter toEnsuring[FilteringReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
14.  def ensuring(cond: Boolean): FilteringReporter
    Implicit
      This member is added by an implicit conversion from FilteringReporter toEnsuring[FilteringReporter] performed by method Ensuring in scala.Predef.
    Definition Classes
      Ensuring
15.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
17.  def error(pos: Position, msg: String): Unit
    Definition Classes
      FilteringReporter → ForwardingReporter → Reporter
18.  def errorCount: Int
    Definition Classes
      Reporter
19.  def finalize(): Unit
    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
20.  def finish(): Unit
    Definition Classes
      ForwardingReporter → Reporter
21.  def flush(): Unit
    Definition Classes
      ForwardingReporter → Reporter
22.  def formatted(fmtstr: String): String
    Implicit
      This member is added by an implicit conversion from FilteringReporter toStringFormat[FilteringReporter] performed by method StringFormat in scala.Predef.
    Definition Classes
      StringFormat
    Annotations
      @inline()
23.  def forward(pos: Position, msg: String, severity: Severity): Unit
    Attributes
      protected
    Definition Classes
      ForwardingReporter
24.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
25.  def hasErrors: Boolean
    Definition Classes
      Reporter
26.  def hasWarnings: Boolean
    Definition Classes
      Reporter
27.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
28.  def info0(pos: Position, msg: String, severity: Severity, force: Boolean): Unit
    Attributes
      protected
    Definition Classes
      ForwardingReporter → Reporter
29.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
30.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
31.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
32.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
33.  def rerunWithDetails(setting: Setting, name: String): String
    Definition Classes
      Reporter
34.  def reset(): Unit
    Definition Classes
      ForwardingReporter → Reporter
35.  def resetCount(severity: Severity): Unit
    Definition Classes
      Reporter
36.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
37.  def toString(): String
    Definition Classes
      AnyRef → Any
38.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
39.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
40.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()
41.  def warning(pos: Position, msg: String): Unit
    Definition Classes
      FilteringReporter → ForwardingReporter → Reporter
42.  def warningCount: Int
    Definition Classes
      Reporter
43.  object ERROR extends Severity
    Definition Classes
      Reporter
44.  object INFO extends Severity
    Definition Classes
      Reporter
45.  object WARNING extends Severity
    Definition Classes
      Reporter

### Deprecated Value Members

1.  def →[B](y: B): (FilteringReporter, B)
   Implicit
     This member is added by an implicit conversion from FilteringReporter toArrowAssoc[FilteringReporter] performed by method ArrowAssoc in scala.Predef.
   Definition Classes
     ArrowAssoc
   Annotations
     @deprecated
   Deprecated

     (Since version 2.13.0) Use `->` instead. If you still wish to display it as one character, consider using a font with programming ligatures such as Fira Code.

### Inherited from Filtering

### Inherited from ForwardingReporter

### Inherited from reflect.internal.Reporter

### Inherited from AnyRef

### Inherited from Any

### Inherited by implicit conversion any2stringadd fromFilteringReporter to any2stringadd[FilteringReporter]

### Inherited by implicit conversion StringFormat fromFilteringReporter to StringFormat[FilteringReporter]

### Inherited by implicit conversion Ensuring fromFilteringReporter to Ensuring[FilteringReporter]

### Inherited by implicit conversion ArrowAssoc fromFilteringReporter to ArrowAssoc[FilteringReporter]

### Ungrouped